サポート

よくあるご質問

オンラインデモ

テクニカルノート

ZWCAD Classic
マニュアル

トップページ

support
Top page > サポート > テクニカルノート > AutoCADのVBAをZWCAD+2014に移行する方法
ZWCADの小技110

 AutoCADのVBAをZWCAD+2014に移行する方法

AutoCADのVBAをZWCAD+2014に移行する時は、下記の変更を行います。

1.AutoCAD VBAのThisdrawingにある全部のソースコードをZWCAD+ VBAのThisdrawingにコピーします。
ヒント:
VBAにクラス、モジュール又はフォームがある場合は、AutoCAD VBAエディタでエクスポートして、
ZWCAD+のVBAエディタでインポートします。

2.エンティティのタイプをAcadXXXからZcadXXXに変更します、例えば、AcadLayer→ZcadLayer, IAcadLWPolyline→IZcadLWPolyline。
ヒント:「Acad」のみを「Zcad」に変更します。

3.すべてのエンティティの宣言をacXXXからzcXXXに変更します、例えば、acRed→zcRed, AcadAcCmColor→ZcadZcCmColor。
ヒント:オブジェクトの名前をAutoCADと同じにしてください、例えば、AcDbLineはAcDbLineのままで。

その他、
AcadApplication.GetInterfaceObject("AutoCAD.AcCmColor.16")→ZcadApplication.GetInterfaceObject("ZWCAD.ZcCmColor ").

preferenceは、現在では、サポートしていません。